## unoconv 0.3

=== Makefile ===
name = unoconv
version = $(shell awk '/^Version: / {print $$2}' $(name).spec)

prefix = /usr
sysconfdir = /etc
bindir = $(prefix)/bin
sbindir = $(prefix)/sbin
libdir = $(prefix)/lib
datadir = $(prefix)/share
mandir = $(datadir)/man
localstatedir = /var

.PHONY: all install docs clean

bins = doc2odt odt2doc doc2ooxml ooxml2doc odp2pdf odp2ppt ppt2odp ods2pdf odt2bib odt2docbook odt2html odt2lt odt2ooxml ooxml2odt odt2pdf odt2sdw sdw2odt /odt2sxw sxw2odt odt2txt odt2xhtml odt2xml odt2rtf

all: docs
	@echo "There is nothing to be build. Try install !"

docs:
	$(MAKE) -C docs docs

docs-install:
	$(MAKE) -C docs install

install:
	install -Dp -m0755 unoconv $(DESTDIR)$(bindir)/unoconv
	install -Dp -m0644 docs/unoconv.1 $(DESTDIR)$(mandir)/man1/unoconv.1

install-links: $(bins)

$(filter %,$(bins)):
	ln -sf unoconv $(DESTDIR)$(bindir)/$@

### Remove odp because size > 300kB
dist: clean
	$(MAKE) -C docs dist
#	find . ! -path '*/.svn*' | pax -d -w -x ustar -s ',^.,$(name)-$(version),' | bzip2 >../$(name)-$(version).tar.bz2
	find . ! -path '*/.svn*' -a ! -path '*.odp' | pax -d -w -x ustar -s ',^.,$(name)-$(version),' | bzip2 >../$(name)-$(version).tar.bz2

rpm: dist
	rpmbuild -tb --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_rpmdir ../" ../$(name)-$(version).tar.bz2

srpm: dist
	rpmbuild -ts --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_srcrpmdir ../" ../$(name)-$(version).tar.bz2

clean:
	rm -f README*.html
	make -C tests clean

=== docs/Makefile ===
prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

txttargets = $(shell echo *.txt)
htmltargets = $(patsubst %.txt, %.html, $(txttargets))

all:

dist: docs

docs: unoconv.1 $(htmltargets)

install: unoconv.1
	install -Dp -m0644 unoconv.1 $(DESTDIR)$(mandir)/man1/unoconv.1

clean:
	rm -f unconv.1 *.html *.xml

%.1.html: %.1.txt
	asciidoc -d manpage $<

%.1: %.1.xml
	xmlto man $<

%.html: %.txt
	asciidoc $<

%.1.xml: %.1.txt
	asciidoc -b docbook -d manpage $<

=== tests/Makefile ===
### Please modify and send me improvements

all: clean bib doc6 doc95 doc docbook html ooxml pdb pdf psw rtf latex sdw3 sdw4 sdw sxw text txt xhtml

#xml: curriculum-vitae-dag-wieers.txt
#	asciidoc -b docbook -d article curriculum-vitae-dag-wieers.txt

#odt: xml
#	rm -f curriculum-vitae-dag-wieers.odt
#	docbook2odf --params generate.meta=0 curriculum-vitae-dag-wieers.xml

%:
#	-killall ooffice soffice.bin
	-../unoconv -f $@ document-example.odt
#	@ps aux | grep office
#	-unoconv -f $@ dag.gif
#	docbook2pdf -d curriculum-vitae.dsl#print curriculum-vitae-dag-wieers.xml

clean: 
	rm -f *.{bib,doc,html,pdb,pdf,psw,rtf,ltx,sdw,sxw,txt,xml}
	rm -f *.{jpg,png,svg,wmf}
	rm -f *.{xls}
	rm -f *.{pps,ppt}

## unoconv 0.4

=== Makefile ===
name = unoconv
version = $(shell awk '/^Version: / {print $$2}' $(name).spec)

prefix = /usr
sysconfdir = /etc
bindir = $(prefix)/bin
sbindir = $(prefix)/sbin
libdir = $(prefix)/lib
datadir = $(prefix)/share
mandir = $(datadir)/man
localstatedir = /var

.PHONY: all install docs clean

to_doc = odt2doc ooxml2doc
to_html = odt2html
to_odp = ppt2odp 
to_ods = xls2ods
to_odt = doc2odt sdw2odt sxw2odt ooxml2odt
to_pdf = doc2pdf odp2pdf ods2pdf odt2pdf ooxml2pdf
to_ppt = odp2ppt
to_other = odt2rtf odt2txt odt2xhtml odt2xml odt2bib odt2docbook odt2lt odt2sdw odt2sxw
links = $(to_doc) $(to_html) $(to_odp) $(to_ods) $(to_odt) $(to_pdf) $(to_ppt) $(to_other)

all: docs
	@echo "There is nothing to be build. Try install !"

docs:
	$(MAKE) -C docs docs

docs-install:
	$(MAKE) -C docs install

install:
	install -Dp -m0755 unoconv $(DESTDIR)$(bindir)/unoconv
	install -Dp -m0644 docs/unoconv.1 $(DESTDIR)$(mandir)/man1/unoconv.1

install-links: $(links)

$(filter %,$(links)):
	ln -sf unoconv $(DESTDIR)$(bindir)/$@

### Remove odp because size > 300kB
dist: clean
	$(MAKE) -C docs dist
#	svn list -R | grep -v '.odp$$' | pax -d -w -x ustar -s ',^.,$(name)-$(version),' | bzip2 >../$(name)-$(version).tar.bz2
	svn st -v --xml | \
        xmlstarlet sel -t -m "/status/target/entry" -s A:T:U '@path' -i "wc-status[@revision]" -v "@path" -n | \
        pax -d -w -x ustar -s ,^,$(name)-$(version)/, | \
        bzip2 >../$(name)-$(version).tar.bz2

rpm: dist
	rpmbuild -tb --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_rpmdir ../" ../$(name)-$(version).tar.bz2

srpm: dist
	rpmbuild -ts --clean --rmsource --rmspec --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" --define "_srcrpmdir ../" ../$(name)-$(version).tar.bz2

clean:
	rm -f README*.html
	make -C tests clean

=== tests/Makefile ===
### Please modify and send me improvements

all: clean bib doc6 doc95 doc docbook html mediawiki ooxml pdf rtf latex sdw3 sdw4 sdw sxw text txt uot xhtml
	@echo "== Tests finished."

#xml: curriculum-vitae-dag-wieers.txt
#	asciidoc -b docbook -d article curriculum-vitae-dag-wieers.txt

#odt: xml
#	rm -f curriculum-vitae-dag-wieers.odt
#	docbook2odf --params generate.meta=0 curriculum-vitae-dag-wieers.xml

%:
#	-killall ooffice soffice.bin
	@echo "- Convert document-example.odt to $@..."
	-../unoconv -vvv -p 2002 -f $@ document-example.odt
	@echo
#	@ps aux | grep office
#	-unoconv -f $@ dag.gif
#	docbook2pdf -d curriculum-vitae.dsl#print curriculum-vitae-dag-wieers.xml

clean: 
	@echo "== Tests started. (some may fail)"
	@rm -f *.{bib,doc,html,pdb,pdf,psw,rtf,ltx,sdw,sxw,txt,xml}
	@rm -f *.{jpg,png,svg,wmf}
	@rm -f *.{xls}
	@rm -f *.{pps,ppt}

=== debian/changelog ===
unoconv (0.4-1) unstable; urgency=low

  * New upstream version.
      + Drop patch to support Impress templates which is included upstream.
      + Fix manpage with invalid option. Closes: #569160.
  * Switch to 3.0 (quilt) format.
  * Bump Standards-Version to 3.9.1.
  * Depends on LibreOffice packages instead of OpenOffice.org ones.
  * Switch to debhelper 7.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Mar 2011 12:28:32 +0100

unoconv (0.3-6) unstable; urgency=low

  * Recommends openoffice.org-headless or openoffice.org-core (>= 1:3)
    since it is already headless capable.
  * Also recommends openoffice.org-java-common. This should closes: #501440.
  * Bump Standards-Version to 3.8.3. No change required.

 -- Vincent Bernat <bernat@debian.org>  Tue, 27 Oct 2009 20:00:19 +0100

unoconv (0.3-5) unstable; urgency=low

  * Recommends openoffice.org-headless instead of openoffice.org.
  * Suggests openoffice.org.

 -- Vincent Bernat <bernat@debian.org>  Wed, 19 Nov 2008 19:51:40 +0100

unoconv (0.3-4) unstable; urgency=low

  * Recommends openoffice.org. Without openoffice.org-writer, unoconv
    cannot convert a text document for example. This leads to bugs similar
    to #491456 (but there seems to be other reasons for such bug).
  * Update to new Standards-Version. No changes required.
  * In debian/control:
     + add Vcs-* fields
     + remove DM-Upload-Allowed field
  * Convert debian/copyright to machine readable format

 -- Vincent Bernat <bernat@debian.org>  Sun, 17 Aug 2008 13:01:43 +0200

unoconv (0.3-3) unstable; urgency=low

  * Add support for Impress templates, thanks to Sune Vuorela (Closes:
    #456654).

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 17 Dec 2007 22:27:11 +0100

unoconv (0.3-2) unstable; urgency=low

  * Use update-alternatives to provide odt2txt, thanks to Michal Politowsk
    (Closes: #451586).

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 17 Nov 2007 11:38:42 +0100

unoconv (0.3-1) unstable; urgency=low

  * Initial release (Closes: #444885)

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 01 Oct 2007 20:14:53 +0200

=== debian/control ===
Source: unoconv
Section: text
Priority: extra
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: asciidoc
Standards-Version: 3.9.1
Homepage: http://dag.wieers.com/home-made/unoconv/
Vcs-Browser: http://git.debian.org/?p=collab-maint/unoconv.git
Vcs-Git: git://git.debian.org/git/collab-maint/unoconv.git

Package: unoconv
Architecture: all
Depends: python, python-uno, ${misc:Depends}
Recommends: libreoffice-core, libreoffice-java-common
Suggests: libreoffice
Conflicts: odt2txt (<= 0.3-1)
Description: converter between LibreOffice document formats
 This package provides a commandline utility which can convert from
 any document format that LibreOffice can import to any document format
 it can export. It uses LibreOffice's UNO bindings for non-interactive
 conversion of documents.
 .
 Supported document formats include Open Document format, MS Word, MS
 Office Open/MS OOXML, PDF, HTML, XHTML, RTF, Docbook, and more.

=== debian/watch ===
version=3
http://dag.wieers.com/home-made/unoconv/ unoconv-(.*)\.tar\.bz2

## unoconv 0.5

=== Makefile ===
--- 
+++ 
@@ -43,8 +43,9 @@
 ### Remove odp because size > 300kB
 dist: clean
 	$(MAKE) -C docs dist
+	git ls-tree -r --name-only --full-tree $$(git branch --no-color 2>/dev/null | sed -e '/^[^*]/d' -e 's/* \(.*\)/\1/') | pax -d -w -x ustar -s ,^,$(name)-$(version)/, | bzip2 >../$(name)-$(version).tar.bz2
 #	svn list -R | grep -v '.odp$$' | pax -d -w -x ustar -s ',^.,$(name)-$(version),' | bzip2 >../$(name)-$(version).tar.bz2
-	svn st -v --xml | \
+#	svn st -v --xml | \
         xmlstarlet sel -t -m "/status/target/entry" -s A:T:U '@path' -i "wc-status[@revision]" -v "@path" -n | \
         pax -d -w -x ustar -s ,^,$(name)-$(version)/, | \
         bzip2 >../$(name)-$(version).tar.bz2

=== debian/changelog ===
unoconv (0.5-1) unstable; urgency=low

  * New upstream version. Closes: #670574.
     + Typo in manual page fixed. Closes: #594648.
     + Don't use deprecated command line switches with Libre
       Office. Closes: #640771
  * Update debian/watch to use GitHub.
  * Bump Standards-Version to 3.9.3.
  * Do not build selinux.html: selinux.txt is not a valid asciidoc file.
  * Fix spelling error in unoconv.1.
  * Register documentation with doc-base.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Apr 2012 09:51:22 +0200

unoconv (0.4-3) unstable; urgency=low

  * Move libreoffice from Suggests to Recommends since libreoffice-core
    does not depend on most important modules any more. Closes: #641806.
  * Bump Standards-Version to 3.9.2.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Sep 2011 09:35:06 +0200

unoconv (0.4-2) unstable; urgency=low

  * Add a README.Debian file to notice that unoconv will only be able to
    convert some formats only if the appropriate LibreOffice package is
    installed. Closes: #491456.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Mar 2011 12:34:48 +0100

=== debian/control ===
Source: unoconv
Section: text
Priority: extra
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: asciidoc
Standards-Version: 3.9.3
Homepage: http://dag.wieers.com/home-made/unoconv/
Vcs-Browser: http://git.debian.org/?p=collab-maint/unoconv.git
Vcs-Git: git://git.debian.org/git/collab-maint/unoconv.git

Package: unoconv
Architecture: all
Depends: python, python-uno, ${misc:Depends}
Recommends: libreoffice
Conflicts: odt2txt (<= 0.3-1)
Description: converter between LibreOffice document formats
 This package provides a commandline utility which can convert from
 any document format that LibreOffice can import to any document format
 it can export. It uses LibreOffice's UNO bindings for non-interactive
 conversion of documents.
 .
 Supported document formats include Open Document format, MS Word, MS
 Office Open/MS OOXML, PDF, HTML, XHTML, RTF, DocBook, and more.

=== debian/watch ===
version=3
https://github.com/dagwieers/unoconv/downloads /downloads/dagwieers/unoconv/unoconv-(.*).tar.bz2

## unoconv 0.6

=== tests/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ### Please modify and send me improvements
 
-all: clean bib doc6 doc95 doc docbook html mediawiki ooxml pdf rtf latex sdw3 sdw4 sdw sxw text txt uot xhtml
+all: clean doc6 doc95 doc docbook fodt html mediawiki ooxml pdf rtf sdw3 sdw4 sdw sxw text txt uot xhtml
 	@echo "== Tests finished."
 
 #xml: curriculum-vitae-dag-wieers.txt

=== debian/changelog ===
unoconv (0.6-6tanglu1) staging; urgency=medium

  * Merge from Debian, remaining changes:
    - Only suggest libreoffice-draw: We don't want it on the live-cd

 -- Jon Severinsson <jon@severinsson.net>  Sun, 22 Jun 2014 10:00:00 +0200

unoconv (0.6-6) unstable; urgency=low

  * Add support for Microsoft Works and Microsoft Excel 2007 XML.
    Closes: #734434.

 -- Vincent Bernat <bernat@debian.org>  Sat, 11 Jan 2014 20:01:58 +0100

unoconv (0.6-5) unstable; urgency=low

  * Fix use of `--stdout` with Python3. Closes: #718481.

 -- Vincent Bernat <bernat@debian.org>  Sun, 29 Dec 2013 17:58:05 +0100

unoconv (0.6-4) unstable; urgency=low

  * Drop no-asciidoc-for-selinux.patch. Not needed anymore. Closes: #732351.
  * Patch for spelling errors in the manual page. Thanks to Olly Betts for
    the patch and to Paul Wise to report it. Closes: #732352.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Dec 2013 17:21:23 +0100

unoconv (0.6-3tanglu1) staging; urgency=low

  * Only suggest libreoffice-draw: We don't want it on the
    live-cd

 -- Matthias Klumpp <mak@debian.org>  Sat, 19 Oct 2013 01:40:59 +0200

unoconv (0.6-3) unstable; urgency=low

  * Depends on python3-uno (>= 4.0) to ensure to have the version
    supporting Python 3.3. Closes: #717485.

 -- Vincent Bernat <bernat@debian.org>  Sun, 21 Jul 2013 12:59:47 +0200

unoconv (0.6-2) unstable; urgency=low

  * Patch to avoid to show changes. Should closes: #624295.
  * Patch for Python 3 support. Closes: #707337.
  * Depends on python3-uno.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Jul 2013 12:17:45 +0200

unoconv (0.6-1) unstable; urgency=low

  * New upstream version. Closes: #700893.
  * Don't recommend the whole LibreOffice suite, only core
    components. Closes: #710799.
  * Bump Standards-Version to 3.9.4.
  * Update Vcs-* fields.
  * Update debian/watch.
  * Drop doc-base integration: we only install the manual page.
  * Add a Lintian override for Conflicts with older versions of
    odt2txt. It is legit.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Jun 2013 16:32:40 +0200

=== debian/control ===
Source: unoconv
Section: text
Priority: extra
Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: asciidoc
Standards-Version: 3.9.5
Homepage: http://dag.wieers.com/home-made/unoconv/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unoconv.git
Vcs-Git: git://anonscm.debian.org/collab-maint/unoconv.git

Package: unoconv
Architecture: all
Depends: python3, python3-uno (>= 4.0), ${misc:Depends}
Recommends: libreoffice-writer, libreoffice-calc, libreoffice-impress
Suggests: libreoffice-draw
Conflicts: odt2txt (<= 0.3-1)
Description: converter between LibreOffice document formats
 This package provides a commandline utility which can convert from
 any document format that LibreOffice can import to any document format
 it can export. It uses LibreOffice's UNO bindings for non-interactive
 conversion of documents.
 .
 Supported document formats include Open Document format, MS Word, MS
 Office Open/MS OOXML, PDF, HTML, XHTML, RTF, DocBook, and more.

## unoconv 0.7

=== Makefile ===
# In some dists (e.g. Ubuntu) bash is not the default shell. Statements like·
# #   cp -a etc/rear/{mappings,templates} ...
# # assumes bash. So its better to set SHELL
# SHELL=/bin/bash

DESTDIR =
OFFICIAL =

name = unoconv
version := $(shell awk "/^__version__ *= */ { gsub(/^__version__[ ]*=[ ']*|[ ']*$$/,\"\"); print}" $(name))

### Get the branch information from git
git_date := $(shell git log -n 1 --format="%ai")
git_ref := $(shell git symbolic-ref -q HEAD)
git_branch ?= $(lastword $(subst /, ,$(git_ref)))
git_branch ?= HEAD

#date := $(shell date --date="$(git_date)" +%Y%m%d%H%M)
#release_date := $(shell date --date="$(git_date)" +%Y-%m-%d)
date := $(shell echo "$(git_date)" | sed -e 's/[-: ]//g'  | cut -c1-12)
release_date := $(shell echo "$(git_date)" | cut -c1-10 )

prefix = /usr
sysconfdir = /etc
bindir = $(prefix)/bin
sbindir = $(prefix)/sbin
libdir = $(prefix)/lib
datadir = $(prefix)/share
mandir = $(datadir)/man
localstatedir = /var

specfile = packaging/rpm/$(name).spec

distversion = $(version)
debrelease = 0
rpmrelease = %nil
ifeq ($(OFFICIAL),)
    distversion = $(version)-git$(date)
    debrelease = 0git$(date)
    rpmrelease = .git$(date)
endif

.PHONY: all install doc clean

to_doc = odt2doc ooxml2doc
to_html = odt2html
to_odp = ppt2odp 
to_ods = xls2ods
to_odt = doc2odt sdw2odt sxw2odt ooxml2odt
to_pdf = doc2pdf odp2pdf ods2pdf odt2pdf ooxml2pdf
to_ppt = odp2ppt
to_other = odt2rtf odt2txt odt2xhtml odt2xml odt2bib odt2docbook odt2lt odt2sdw odt2sxw
links = $(to_doc) $(to_html) $(to_odp) $(to_ods) $(to_odt) $(to_pdf) $(to_ppt) $(to_other)

all: doc
	@echo "__version__ = $(version)"
	@echo "There is nothing to be build. Try install !"

help:
	@echo -e "unoconv make targets:\n\
\n\
  install         - Install unoconv (may replace files)\n\
  dist            - Create tar file\n\
  rpm             - Create RPM package\n\
\n\
unoconv make variables (optional):\n\
\n\
  DESTDIR=        - Location to install to\n\
  OFFICIAL=       - Build an official release\n\
"

man:
	@echo -e "\033[1m== Prepare manual ==\033[0;0m"
	$(MAKE) -C doc man

doc:
	@echo -e "\033[1m== Prepare documentation ==\033[0;0m"
	$(MAKE) -C doc docs

ifneq ($(git_date),)
rewrite:
	@echo -e "\033[1m== Rewriting $(specfile) ==\033[0;0m"
	sed -i.orig \
		-e 's#^Source:.*#Source: $(name)-$(distversion).tar.gz#' \
		-e 's#^Version:.*#Version: $(version)#' \
		-e 's#^%define rpmrelease.*#%define rpmrelease $(rpmrelease)#' \
		-e 's#^%setup.*#%setup -q -n $(name)-$(distversion)#' \
		$(specfile)
#	sed -i.orig \
		-e 's#^Version:.*#Version: $(version)-$(debrelease)#' \
		$(dscfile)

restore:
	@echo -e "\033[1m== Restoring $(specfile) and $(rearbin) ==\033[0;0m"
	mv -f $(specfile).orig $(specfile)
else
rewrite:
	@echo "Nothing to do."

restore:
	@echo "Nothing to do."
endif

doc-install:
	$(MAKE) -C doc install

install:
	install -d -m0755 $(DESTDIR)$(bindir)
	install -d -m0755 $(DESTDIR)$(mandir)/man1/
	install -p -m0755 unoconv $(DESTDIR)$(bindir)/unoconv
	install -p -m0644 doc/unoconv.1 $(DESTDIR)$(mandir)/man1/unoconv.1

install-links: $(links)

$(filter %,$(links)):
	ln -sf unoconv $(DESTDIR)$(bindir)/$@

### Remove odp because size > 300kB
dist: clean man rewrite $(name)-$(distversion).tar.gz restore

$(name)-$(distversion).tar.gz:
	@echo -e "\033[1m== Building archive $(name)-$(distversion) ==\033[0;0m"
	git checkout $(git_branch)
	git ls-tree -r --name-only --full-tree $(git_branch) | \
		tar -czf $(name)-$(distversion).tar.gz --transform='s,^,$(name)-$(distversion)/,S' --files-from=-

rpm: dist
	@echo -e "\033[1m== Building RPM package $(name)-$(distversion) ==\033[0;0m"
	rpmbuild -tb --clean \
		--define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm" \
		--define "debug_package %{nil}" \
		--define "_rpmdir %(pwd)" $(name)-$(distversion).tar.gz

clean:
	rm -f README*.html
	make -C tests clean

=== doc/Makefile ===
prefix = /usr
datadir = $(prefix)/share
mandir = $(datadir)/man

adoctargets = $(shell echo *.adoc)
htmltargets = $(patsubst %.adoc, %.html, $(adoctargets))

all: docs

dist: docs

man: unoconv.1

docs: unoconv.1 $(htmltargets)

install: unoconv.1
	install -Dp -m0644 unoconv.1 $(DESTDIR)$(mandir)/man1/unoconv.1

clean:
	rm -f unconv.1 *.html *.xml

%.1.html: %.1.adoc
	asciidoc -d manpage $<

%.1: %.1.xml
	xmlto man $<

%.html: %.adoc
	asciidoc $<

%.1.xml: %.1.adoc
	asciidoc -b docbook -d manpage $<

=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 ### Please modify and send me improvements
+
+python=/opt/libreoffice4.4/program/python
+unoconv=../unoconv
 
 all: clean doc6 doc95 doc docbook fodt html mediawiki ooxml pdf rtf sdw3 sdw4 sdw sxw text txt uot xhtml
 	@echo "== Tests finished."
@@ -13,7 +16,7 @@
 %:
 #	-killall ooffice soffice.bin
 	@echo "- Convert document-example.odt to $@..."
-	-../unoconv -vvv -p 2002 -f $@ document-example.odt
+	-$(python) $(unoconv) -vvv -p 2002 -f $@ document-example.odt
 	@echo
 #	@ps aux | grep office
 #	-unoconv -f $@ dag.gif

=== debian/changelog ===
unoconv (0.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to use python3-looseversion instead
    of removed python3-distutils (Closes: #1076522)
    (LP: #2085639)
  * Update d/watch

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Use set -e rather than passing -e on the shebang-line.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Update renamed lintian tag names in lintian overrides.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 28 Mar 2025 11:51:55 +0100

unoconv (0.7-2) unstable; urgency=high

  * d/control: update Vcs-* fields.
  * d/patches: don't update linked document by default. CVE-2019-17400.
    Closes: #943561.

 -- Vincent Bernat <bernat@debian.org>  Sat, 26 Oct 2019 17:07:44 +0200

unoconv (0.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set TZ=UTC in asciidoc to make the embedded dates invariant to timezones
    in order to make the package build reproducibly. Closes: #795975.

 -- Eduard Sanou <dhole@openmailbox.org>  Mon, 17 Aug 2015 12:22:05 +0200

unoconv (0.7-1) unstable; urgency=medium

  * New upstream release.
     + New --preserve option can preserve timestamps. Closes: #481622.
     + "fodt" and "docx" text format are now supported. Closes: #659886.
  * Drop patches applied upstream:
     + python3-support.patch
     + python3-stdout-fix.patch
     + dont-show-changes.patch
     + spelling-errors-unoconv-manual.patch
     + support-for-wps.patch
     + support-for-xlsx.patch
  * Add a patch to ensure use of python3 interpreter.
     + 0001-Use-python3-interpreter.patch
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Aug 2015 15:34:33 +0200

=== debian/control ===
Source: unoconv
Section: text
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: asciidoc
Standards-Version: 3.9.6
Homepage: http://dag.wieers.com/home-made/unoconv/
Vcs-Browser: https://salsa.debian.org/debian/unoconv
Vcs-Git: https://salsa.debian.org/debian/unoconv.git

Package: unoconv
Architecture: all
Depends: python3, python3-uno (>= 4.0), python3-looseversion, ${misc:Depends}
Recommends: libreoffice-writer, libreoffice-draw, libreoffice-calc, libreoffice-impress
Conflicts: odt2txt (<= 0.3-1)
Description: converter between LibreOffice document formats
 This package provides a commandline utility which can convert from
 any document format that LibreOffice can import to any document format
 it can export. It uses LibreOffice's UNO bindings for non-interactive
 conversion of documents.
 .
 Supported document formats include Open Document format, MS Word, MS
 Office Open/MS OOXML, PDF, HTML, XHTML, RTF, DocBook, and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/unoconv install install-links
	mv $(CURDIR)/debian/unoconv/usr/bin/odt2txt $(CURDIR)/debian/unoconv/usr/bin/odt2txt.unoconv
	# Add link to manual pages
	find debian/unoconv/usr/bin -name '*2*' | \
	  while read f; do \
	    dh_link usr/share/man/man1/unoconv.1 usr/share/man/man1/"`echo "$$f" | sed -e s#debian/unoconv/usr/bin/##`".1; \
	  done

=== debian/watch ===
version=4
https://github.com/unoconv/unoconv/tags .*/?v(.*).tar.gz
